package com.dayou.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.entity.ItemBrokerageGeneral;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;


import java.math.BigDecimal;
import java.util.Date;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/17
 * created with IntelliJ IDEA.
 */
@Data
public class BrokerageGeneralVO {
    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 客户经理提成金额
     */
    private BigDecimal marketerBrokerageAmount;

    /**
     * 客户经理 是否可预提
     */
    private Boolean marketerAdvanceBrokerageAble;

    /**
     * 提成率
     */
    private BigDecimal brokerageRate;

    /**
     * 客户经理提成状态
     */
    private String marketerStatus;
    /**
     * 项目类型
     */
    private String cateName;

    /**
     * 业务来源
     */
    private String businessSourceName;

    /**
     * 事业部流水号
     */
    private String businessNo;

    /**
     * 公司OA流水号(项目编号)
     */
    private String oaNo;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 委托单位
     */
    private String clientUnit;

    /**
     * 委托人
     */
    private String clientName;

    /**
     * 客户经理
     */
    private String clientManager;

    /**
     * 合同金额
     */
    private BigDecimal amount;

    private Long id;


    /**
     * 标志位
     *
     * @ignore
     */
    @JsonIgnore
    private Boolean deleted;
}
